<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
        </h:head>
        <h:body>


            <h:form id="form1">
                <p:messages id="msgs" showDetail="false" globalOnly="false" />

                <h3> prueba con h:selectManyMenu </h3>
                <h:selectManyMenu style="height: 200px"
                                  value="#{dummyMB.selectedFromSelectManyMenu}"
                                  required="false">
                    <f:selectItem itemLabel="Lola" itemValue="lola" />
                    <f:selectItem itemLabel="Ramona" itemValue="ramona" />
                    <f:selectItem itemLabel="Florinda" itemValue="florinda" />
                    <f:selectItem itemLabel="Perica" itemValue="perica" />
                </h:selectManyMenu>


                <p:commandButton value="print selected"
                                 action="#{dummyMB.printSelectedFromSelectManyMenu}"
                                 update="msgs"
                                 />

            </h:form>

        </h:body>
    </f:view>
</html>